Bug 960860 - recent duplicity update to 0.6.21 enforces SSL certificate verification without a default database
Summary: recent duplicity update to 0.6.21 enforces SSL certificate verification witho...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: duplicity
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-08 07:45 UTC by Guido Berhoerster
Modified: 2014-03-24 12:53 UTC (History)
3 users (show)

Fixed In Version: duplicity-0.6.22-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-15 20:40:32 UTC


Attachments (Terms of Use)

Description Guido Berhoerster 2013-05-08 07:45:09 UTC
The recent update of duplicity to version 0.6.21 changed its default behavior which broke my automated backup. In the default configuration it now enforces SSL certificate verification without having any certificate database configured. Please either patch it to default to /etc/pki/tls/cert.pem or deliver /etc/duplicity/cacert.pem as a symlink to it and depend on ca-certificates.

Comment 1 Rahul Sundaram 2013-12-28 00:06:16 UTC
please test the scratch build at

http://koji.fedoraproject.org/koji/taskinfo?taskID=6337767

I have created a symlink as suggested by you.  Thanks!

Comment 2 Guido Berhoerster 2013-12-30 18:27:38 UTC
Thanks, that fixes it.

Comment 3 Fedora Update System 2013-12-30 19:41:55 UTC
duplicity-0.6.22-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/duplicity-0.6.22-3.el6

Comment 4 Fedora Update System 2013-12-31 16:13:44 UTC
Package duplicity-0.6.22-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing duplicity-0.6.22-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12498/duplicity-0.6.22-3.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-15 20:40:32 UTC
duplicity-0.6.22-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Chris Wilson 2014-03-24 12:53:17 UTC
Unfortunately this version has a pretty serious bug which prevents backing up to an S3 bucket root: 

http://lists.nongnu.org/archive/html/duplicity-talk/2013-09/msg00011.html

Since 0.6.23 appears broken for different reasons, I'm having to downgrade all our servers back to 0.6.21.


Note You need to log in before you can comment on or make changes to this bug.